org.apache.ignite.spi.discovery.tcp.messages

## Class TcpDiscoveryPingResponse

- java.lang.Object
- - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage
  - - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryPingResponse

All Implemented Interfaces:
  Serializable

    public class TcpDiscoveryPingResponse
    extends TcpDiscoveryAbstractMessage

Ping response.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`CLIENT_ACK_FLAG_POS, CLIENT_FLAG_POS, CLIENT_RECON_SUCCESS_FLAG_POS, FORCE_FAIL_FLAG_POS, RESPONDED_FLAG_POS`

### Constructor Summary

Constructors
Constructor and Description
`TcpDiscoveryPingResponse(UUID creatorNodeId)`

### Method Summary

Methods
`boolean` `clientExists()`
`void` `clientExists(boolean clientExists)`
`String` `toString()`

### Methods inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`addFailedNode, client, client, creatorNodeId, equals, failedNodes, failedNodes, force, force, getFlag, hashCode, highPriority, id, pendingIndex, pendingIndex, senderNodeId, senderNodeId, setFlag, topologyVersion, topologyVersion, traceLogLevel, verified, verifierNodeId, verify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TcpDiscoveryPingResponse

    public TcpDiscoveryPingResponse(UUID creatorNodeId)

Parameters:
  `creatorNodeId` - Creator node ID.

### Method Detail

#### clientExists

    public void clientExists(boolean clientExists)

Parameters:
  `clientExists` - Whether pinged client exists.

#### clientExists

    public boolean clientExists()

Returns:
  Whether pinged client exists.

#### toString

    public String toString()

Overrides:
  `toString` in class `TcpDiscoveryAbstractMessage`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017